Bug 1240840 - SELinux is preventing dnssec-trigger- from 'write' accesses on the directory /var/tmp.
Summary: SELinux is preventing dnssec-trigger- from 'write' accesses on the directory ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dc7211b560f30f358751a986858...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-07 21:33 UTC by Dimitri Papadopoulos
Modified: 2015-07-18 02:08 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-128.6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-18 02:08:35 UTC


Attachments (Terms of Use)

Description Dimitri Papadopoulos 2015-07-07 21:33:39 UTC
Description of problem:
After starting the FortiClient VPN, not sure it's directly related though.
SELinux is preventing dnssec-trigger- from 'write' accesses on the directory /var/tmp.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que dnssec-trigger- devrait être autorisé à accéder write sur tmp directory par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep dnssec-trigger- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:object_r:tmp_t:s0
Target Objects                /var/tmp [ dir ]
Source                        dnssec-trigger-
Source Path                   dnssec-trigger-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           filesystem-3.2-32.fc22.x86_64
Policy RPM                    selinux-policy-3.13.1-128.2.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.0.6-300.fc22.x86_64 #1 SMP Tue
                              Jun 23 13:58:53 UTC 2015 x86_64 x86_64
Alert Count                   17
First Seen                    2015-07-07 05:54:10 CEST
Last Seen                     2015-07-07 23:30:55 CEST
Local ID                      5bd04a1e-2fe6-43b3-b3d6-b7f9840e278f

Raw Audit Messages
type=AVC msg=audit(1436304655.584:647): avc:  denied  { write } for  pid=3332 comm="dnssec-trigger-" name="tmp" dev="dm-2" ino=1048597 scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0


Hash: dnssec-trigger-,dnssec_trigger_t,tmp_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-128.2.fc22.noarch

Additional info:
reporter:       libreport-2.6.0
hashmarkername: setroubleshoot
kernel:         4.0.6-300.fc22.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2015-07-08 08:01:31 UTC
commit f31ef99b96fc9715f8cdf83655aed928ed489255
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Wed Jul 8 10:00:11 2015 +0200

    Allow dnssec_trigger_t create dnssec_trigger_tmp_t files in /var/tmp/ BZ(1240840)

Comment 2 Daniel Walsh 2015-07-08 20:43:09 UTC
Does dnssec_trigger_t run with a User privilege or a root privilege, If it runs as root it should not be writing to /var/tmp, if at all possible.

Comment 3 Fedora Update System 2015-07-10 09:22:17 UTC
selinux-policy-3.13.1-128.6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-128.6.fc22

Comment 4 Fedora Update System 2015-07-13 19:17:02 UTC
Package selinux-policy-3.13.1-128.6.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-128.6.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11460/selinux-policy-3.13.1-128.6.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-18 02:08:35 UTC
selinux-policy-3.13.1-128.6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.